at.chipkarte.client.sts.soap.constants

## Class StsExceptionConstants

- Object
- - at.chipkarte.client.sts.soap.constants.StsExceptionConstants

-     public class StsExceptionConstants
      extends Object

  Fehlerkonstanten, die im Rahmen des STS Service vom e-card Serversystem geworfen werden. Fehlercodes siehe `StsExceptionConstants`.

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static int` | `ASSERTION_SIGNING_FAILED` Das Signieren des generierten Tickets ist fehlgeschlagen.
    `static int` | `NO_QUALIFICATION_FOR_REQUEST_ASSERTION` Es existiert keine Berechtigung zur Ausstellung des angeforderten Tickets.
    `static int` | `NO_SVPERSON` Die SV-Nummer existiert nicht oder ist nicht mehr gültig.
    `static int` | `PATIENT_CONTACT_QUALITY_VIOLATION` Die geforderte Mindestqualität des Patientenkontaktes für das angeforderte Ticket konnte nicht bestätigt werden.
    `static int` | `TICKETNAME_INVALID_NO_CONFIG_FOR_VERSION` Es ist keine Konfiguration für die im Ticketnamen angegebene Ticketversion vorhanden.
    `static int` | `TICKETSUBJECT_INVALID_NO_CONFIG_AVAILABLE` Mit dem angegebenen Ticketsubject wurde keine Konfiguration gefunden.
    `static int` | `TICKETSUBJECT_INVALID_WRONG_TICKET_STATE` Das Ticket besitzt keinen gültigen Status (darf nicht mehr verwendet werden).

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `StsExceptionConstants()`

  - ### Method Summary

    - ### Methods inherited from class Object

      `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### TICKETNAME_INVALID_NO_CONFIG_FOR_VERSION

          public static final int TICKETNAME_INVALID_NO_CONFIG_FOR_VERSION

      Es ist keine Konfiguration für die im Ticketnamen angegebene Ticketversion vorhanden.
      ORCLI-Code: ZS-07008
      See Also:
        Constant Field Values

    - #### NO_SVPERSON

          public static final int NO_SVPERSON

      Die SV-Nummer existiert nicht oder ist nicht mehr gültig.
      ORCLI-Code: ZS-07015
      See Also:
        Constant Field Values

    - #### PATIENT_CONTACT_QUALITY_VIOLATION

          public static final int PATIENT_CONTACT_QUALITY_VIOLATION

      Die geforderte Mindestqualität des Patientenkontaktes für das angeforderte Ticket konnte nicht bestätigt werden. (Mindestqualität: {Qualität})
      ORCLI-Code: ZS-07106
      See Also:
        Constant Field Values

    - #### ASSERTION_SIGNING_FAILED

          public static final int ASSERTION_SIGNING_FAILED

      Das Signieren des generierten Tickets ist fehlgeschlagen.
      ORCLI-Code: ZS-07205
      See Also:
        Constant Field Values

    - #### NO_QUALIFICATION_FOR_REQUEST_ASSERTION

          public static final int NO_QUALIFICATION_FOR_REQUEST_ASSERTION

      Es existiert keine Berechtigung zur Ausstellung des angeforderten Tickets. Für die ermittelte Rolle des Vertragspartners wird die Ausstellung des angeforderten Tickets nicht erlaubt.
      ORCLI-Code: ZS-07018
      See Also:
        Constant Field Values

    - #### TICKETSUBJECT_INVALID_NO_CONFIG_AVAILABLE

          public static final int TICKETSUBJECT_INVALID_NO_CONFIG_AVAILABLE

      Mit dem angegebenen Ticketsubject wurde keine Konfiguration gefunden.
      ORCLI-Code: ZS-07107
      See Also:
        Constant Field Values

    - #### TICKETSUBJECT_INVALID_WRONG_TICKET_STATE

          public static final int TICKETSUBJECT_INVALID_WRONG_TICKET_STATE

      Das Ticket besitzt keinen gültigen Status (darf nicht mehr verwendet werden).
      ORCLI-Code: ZS-07108
      See Also:
        Constant Field Values

  - ### Constructor Detail

    - #### StsExceptionConstants

          public StsExceptionConstants()